> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aigenda.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Текущий пользователь

> Возвращает аккаунт, которому принадлежит токен. Удобно, чтобы проверить токен.

## Ответ

<ResponseField name="id" type="integer">
  Идентификатор пользователя.
</ResponseField>

<ResponseField name="username" type="string">
  Логин.
</ResponseField>

<ResponseField name="email" type="string">
  Почта.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.aigenda.tech/api/users/me/" \
    -H "Authorization: Bearer <access>"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.aigenda.tech/api/users/me/",
      headers={"Authorization": "Bearer <access>"},
      timeout=30,
  )
  response.raise_for_status()
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.aigenda.tech/api/users/me/", {
    method: "GET",
    headers: { Authorization: "Bearer <access>" },
  });
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": 777,
    "username": "you@example.com",
    "email": "you@example.com"
  }
  ```

  ```json 401 theme={null}
  {
    "detail": "Given token not valid for any token type",
    "code": "token_not_valid"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.